#include <iostream>
using namespace std;
int main()
{
    int n,m,k;
    cin>>n>>m>>k;
    int a[n][m];
    int x,y;
    for(int i = 0 ; i < k ; i++){
        cin>>x;
        cin>>y;
        x--;
        y--;
        a[x][y] = -1;
    }
    for(int i = 0 ; i < n ; i++){
        for(int j = 0 ; j < m ; j++){
            a[i][j] = 0;
        }
    }
    int br = 0;
    for(int i = 0 ; i < n ; i++){
        for(int j = 0 ; j < m ; j++){
            if(a[i][j] == 0) br++;
        }
    }
    cout<<(br-k)/(br/k);
    return 0;
}